=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-05-18 04:08:47 +0000
+++ loggerhead/history.py	2009-05-18 04:17:11 +0000
@@ -232,9 +232,6 @@
         parents of this revision.
     :ivar _rev_indices: A dictionary mapping each revision id to the index of
         the information about it in _rev_info.
-    :ivar _full_history: A list of all revision ids in the ancestry of the
-        branch, in merge-sorted order.  This is a bit silly, and shouldn't
-        really be stored on the instance...
     :ivar _revno_revid: A dictionary mapping stringified revnos to revision
         ids.
     """
@@ -267,19 +264,15 @@
             update_missed_caches()
 
         if self._rev_indices is not None:
-            self._full_history = []
             self._revno_revid = {}
             for ((_, revid, _, revno_str, _), _, _) in self._rev_info:
                 self._revno_revid[revno_str] = revid
-                self._full_history.append(revid)
         else:
-            self._full_history = []
             self._revno_revid = {}
             self._rev_indices = {}
             for ((seq, revid, _, revno_str, _), _, _) in self._rev_info:
                 self._rev_indices[revid] = seq
                 self._revno_revid[revno_str] = revid
-                self._full_history.append(revid)
 
     def __init__(self, branch, whole_history_data_cache, file_cache=None,
                  revinfo_disk_cache=None, cache_key=None):
@@ -323,7 +316,7 @@
         revid in revid_list.
         """
         if revid_list is None:
-            revid_list = self._full_history
+            revid_list = [r[0][1] for r in self._rev_info]
         revid_set = set(revid_list)
         revid = start_revid
 
@@ -355,9 +348,9 @@
             w = self._branch.repository.weave_store.get_weave(
                     file_id, self._branch.repository.get_transaction())
             w_revids = w.versions()
-            revids = [r for r in self._full_history if r in w_revids]
+            revids = [r for r in self._rev_indices if r in w_revids]
         except AttributeError:
-            possible_keys = [(file_id, revid) for revid in self._full_history]
+            possible_keys = [(file_id, revid) for revid in self._rev_indices]
             get_parent_map = self._branch.repository.texts.get_parent_map
             # We chunk the requests as this works better with GraphIndex.
             # See _filter_revisions_touching_file_id in bzrlib/log.py

=== modified file 'loggerhead/wholehistory.py'
--- loggerhead/wholehistory.py	2009-04-24 10:30:15 +0000
+++ loggerhead/wholehistory.py	2009-05-18 04:17:11 +0000
@@ -53,7 +53,6 @@
          graph.iter_ancestry([last_revid]) if value is not None))
 
     _revision_graph = _strip_NULL_ghosts(parent_map)
-    _full_history = []
 
     _rev_info = []
     _rev_indices = {}
@@ -66,7 +65,6 @@
 
     for info in _merge_sort:
         seq, revid, merge_depth, revno, end_of_merge = info
-        _full_history.append(revid)
         revno_str = '.'.join(str(n) for n in revno)
         parents = _revision_graph[revid]
         _rev_indices[revid] = len(_rev_info)

